let fieldsLoaded = false;
let fieldsLoadedInterval = setInterval(function() {

    if (document.querySelector('.dynamic-block-editor')) {

        fieldsLoaded = true;

	    rangeInputs = document.querySelectorAll('.cf-field__body input[type="range"]');
	    rangeInputs.forEach((range_input) => {

	    	range_input.classList.add("range-value-displayed");
	    	initial_range_display(range_input);

	    });

    }
    if ( fieldsLoaded ) {
        clearInterval( fieldsLoadedInterval );
    }
}, 500);

function update_range_value_display(range_input){
	range_input.parentNode.querySelector('.range-value-display').textContent = range_input.value;
}

function initial_range_display(range_input){
	let div = document.createElement("div");
	div.classList.add("range-value-display");
	div.append(range_input.value);

	range_input.parentNode.append(div);
	range_input.addEventListener("input", () => {
		update_range_value_display(range_input);
	});
}

wp.data.subscribe(function () {
  var isSavingPost = wp.data.select('core/editor').isSavingPost();
  var isAutosavingPost = wp.data.select('core/editor').isAutosavingPost();

  if (isSavingPost && !isAutosavingPost) {

    rangeInputs = document.querySelectorAll('.cf-field__body input[type="range"]:not(.range-value-displayed)');
    rangeInputs.forEach((range_input) => {

    	range_input.classList.add("range-value-displayed");
    	initial_range_display(range_input);

    });

  }
});
